Subject: bug#78852: shepherd: internal syslog records not in chronological order

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Jul 2025 09:43:46 +0200

Hi,

[email-masked] writes:

> But when ‘system-log’ starts, it would be logical to flush first
> /proc/kmesg while keeping on hold it's own messaging until that is
> done.

OK.  As it stands, flushing /dev/kmsg before the other messages get
written is hard to implement: /dev/kmsg is considered as just one of
several sources of ‘system-log’, which just logs every line of every
source as soon as it’s available—hence the interleaving.

It needs more thought though, maybe we can find a way to do that.

Thanks,
Ludo’.